#Module-Specific definitions
%define mod_version 0.2.1
%define release 1mdk
%define mod_name mod_variety
%define mod_conf 78_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.43-5mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	Mod_Variety is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0:	%{sourcename}.tar.bz2
Source1:	%{mod_conf}.bz2
Source2:	README.html.variety.bz2
Patch0:		%{mod_name}-0.2.0-register.patch.bz2
License:	BSD
URL:		http://pmade.org/pjones/software/mod_variety/
Prereq:		rpm-helper
BuildRequires:	unzip
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
mod_variety is an Apache 2.x module that will serve a random file
from the requested directory. It is useful for serving random
images or completely random sites. 

%prep

%setup -q -n %{sourcename}
%patch0 -p0
bzcat %{SOURCE2} > README.html

%build

# fix strange file permissions
find -type f|xargs chmod 644

cp src/%{mod_name}.c %{mod_name}.c

# make doesn't work, but this does (real qute!)
%{apxs} -c %{mod_name}.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc README.html docs/manual/*.xml docs/CREDITS docs/manual.txt
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%changelog
* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_0.2.1-1mdk
- rebuilt against latest apache2, requires and buildrequires

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_0.2.1-1mdk
- rebuilt for apache v2.0.46
- buildprereq ADVX-build >= 9.2

* Tue Apr 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_0.2.1-1mdk
- cosmetic rebuild for apache v2.0.45 

* Sun Apr 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_0.2.1-1mdk
- 0.2.1

* Mon Mar 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_0.2.0-1mdk
- 0.2.0
- updated S1
- fix P0

* Sun Mar  2 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_0.1.0-2mdk
- fix config files to use /variety alias instead of /icons (it was breaking
  indexes)
- put a new README.html so people can test the module immediately

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_0.1.0-1mdk
- rebuilt for apache v2.0.44

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_0.1.0-2mdk
- fix buildrequires apache2-devel >= 2.0.43-5mdk, as 
  pointed out by Olivier Thauvin

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_0.1.2-2mdk
- initial cooker contrib
